------------------------------------------------------------------------------------
--Name:  	wuseng5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(150, 228)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(200)
local effect_1 = CppScriptMgr:AddEffect("QiFuLev3", 152, 230, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1065030, 152, 230, "", 0, 0)
npc_0:SetDir(7)
npc_0:SetHide(1)
npc_0:SetZoomPercent(10)
npc_0:SetMount(205003)
CppScriptMgr:WaitMilSec(500)
local effect_2 = CppScriptMgr:AddEffect("TSM_LXZF_sf", 152, 230, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_0 = CppScriptMgr:AddEffect("DragonSkin0_CX", 152, 230, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(510)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 152, 230, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1490)
npc_0:SetHide(0)
CppScriptMgr:WaitMilSec(100)
ChangeNpcZoom(npc_0, 10, 150, 10, 33)
CppScriptMgr:WaitMilSec(1900)